## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

Summary:        A C++ JIT assembler for x86
Name:           xbyak
License:        BSD-3-Clause

Version:        7.24.1
Release:        %autorelease

URL:            https://github.com/herumi/xbyak
Source0:        %{url}/archive/v%{version}.tar.gz
# exception testing of allocator gets hung up on glibc double free check
Patch0:         xbyak-disable-noexecption-test3.patch

Group:          Development/Libraries
ExclusiveArch:  x86_64

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  sed

%bcond_with check
%if %{with check}
#  -m32
BuildRequires:  glibc-devel(x86-32), libstdc++(x86-32)
BuildRequires:  nasm, yasm
%endif

%description
Xbyak is a C++ header library that enables dynamically to
assemble x86(IA32), x64(AMD64, x86-64) mnemonic.

The pronunciation of Xbyak is kəi-bja-k, かいびゃく.
It is named from a Japanese word 開闢, which means the beginning
of the world.

%package devel
Summary:        A C++ JIT assembler for x86
Provides:       xbyak-static = %{version}-%{release}

%description devel
Xbyak is a C++ header library that enables dynamically to
assemble x86(IA32), x64(AMD64, x86-64) mnemonic.

The pronunciation of Xbyak is kəi-bja-k, かいびゃく.
It is named from a Japanese word 開闢, which means the beginning
of the world.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# Install samples
mkdir -p %{buildroot}%{_datadir}/xbyak/
cp -pr sample %{buildroot}%{_datadir}/xbyak/

%if %{with check}
%check
make test
%endif

%files devel
%license COPYRIGHT
%doc readme.md doc/changelog.md doc/usage.md
%doc %lang(jp) readme.txt
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/

%changelog
## START: Generated by rpmautospec
* Fri Feb 28 2025 Tom Rix <Tom.Rix@amd.com> - 7.24.1-1
- Update to 7.24.1

* Tue Feb 04 2025 Tom Rix <Tom.Rix@amd.com> - 7.23-1
- Update to 7.23

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Nov 16 2024 Tom Rix <Tom.Rix@amd.com> - 7.22-1
- Update to 7.22

* Tue Nov 05 2024 Tom Rix <Tom.Rix@amd.com> - 7.21-1
- Update to 7.21

* Fri Nov 01 2024 Tom Rix <Tom.Rix@amd.com> - 7.20.1-1
- Update to 7.20.1

* Fri Oct 18 2024 Tom Rix <Tom.Rix@amd.com> - 7.20-1
- Update to 7.20

* Mon Sep 30 2024 Tom Rix <Tom.Rix@amd.com> - 7.07.1-1
- Update to 7.07.1

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.07-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 Tom Rix <trix@redhat.com> - 7.07-1
- Update to 7.07

* Wed Feb 21 2024 Tom Rix <trix@redhat.com> - 7.05.1-2
- Use meson to build

* Tue Feb 20 2024 Tom Rix <trix@redhat.com> - 7.05.1-1
- Update to 7.05.1

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.73-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Tom Rix <trix@redhat.com> - 6.73-1
- Update to 6.73

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Mar 04 2023 Tom Rix <trix@redhat.com> - 6.69-1
- Update source to 6.69

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.63-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 05 2022 Benson Muite <benson_muite@emailplus.org> - 6.63-3
- Use gcc-c++ rather than g++

* Thu Oct 27 2022 Tom Rix <trix@redhat.com> - 6.63-2
- Make check optional

* Thu Oct 27 2022 Tom Rix <trix@redhat.com> - 6.63-1
- Initial import (fedora#2137116)
## END: Generated by rpmautospec
